Where to find a PDF viewer (and other software) compatible with aarch64?
#1
I just tried and failed to install foxitreader. Is there anything available?

Also, I get the impression I'm going to have to post on the forum like this for most pieces of software. I was pleased to find https://privacyshark.zero-credibility.net/# earlier as a source of compatible VOIP software. Are there similar places to go for other aarch64 Linux software?
#2
On Manjaro? I use xpdf for most things, evince if I need fillable forms. "pacman -Ss pdf viewer" shows several other options. Okular is preinstalled on KDE.

What distro & desktop environment are you on? If Manjaro/KDE, click the M at the bottom left of the screen, then Applications > Settings > Add/Remove Software. Hit the magnifying glass, type pdf.
#3
(09-18-2020, 08:09 PM)Dendrocalamus64 Wrote: On Manjaro?  I use xpdf for most things, evince if I need fillable forms.  "pacman -Ss pdf viewer" shows several other options.  Okular is preinstalled on KDE.

What distro & desktop environment are you on?  If Manjaro/KDE, click the M at the bottom left of the screen, then Applications > Settings > Add/Remove Software.  Hit the magnifying glass, type pdf.

Evince seems usable, though much sparser than Foxit.

I'm on Manjaro, but more often than not when I try to install things on pamac I get "==> ERROR: [software] is not available for the 'aarch64' architecture."
#4
(09-18-2020, 08:24 PM)mjc Wrote:
(09-18-2020, 08:09 PM)Dendrocalamus64 Wrote: On Manjaro?  I use xpdf for most things, evince if I need fillable forms.  "pacman -Ss pdf viewer" shows several other options.  Okular is preinstalled on KDE.

What distro & desktop environment are you on?  If Manjaro/KDE, click the M at the bottom left of the screen, then Applications > Settings > Add/Remove Software.  Hit the magnifying glass, type pdf.

Evince seems usable, though much sparser than Foxit.

I'm on Manjaro, but more often than not when I try to install things on pamac I get "==> ERROR: [software] is not available for the 'aarch64' architecture."
Blame the software vendor because they hadn't ported it

From Foxit site:
Foxit PhantomPDF (Prior to version 10.1)/Foxit Reader (Prior to version 10.0) is not compatible with computers with Arm processor.

and Foxit Reader itself for linux has been discontinued
https://forums.foxitsoftware.com/forum/p...post179663
#5
Install Synaptic and you can search and browse packages yourself. I've used xpdf for 20 years or so. I haven't found much missing from aarch64 that's on other things. Some day I'll try to resurrect Photoprint again.
#6
We're on Manjaro now, though. Synaptic is on Debian and derived distros; Manjaro has pamac, which OP is already using, octopi, and other GUI software managers. The Manjaro wiki has a page on them but it's currently down.

While several arm flavors are release architectures on debian, which means substantially all packages must build for them, arm support in arch & manjaro is still experimental. So even though manjaro's support for PBP is better in some ways, there are noticeably more packages not available for arm.
#7
I'm not sure why no one has mentioned qpdf/qpdfview
Not my favorite, but generally OK
I don't know if it can successfully fill out forms
#8
(09-27-2020, 08:43 AM)wdt Wrote: I'm not sure why no one has mentioned qpdf/qpdfview
Not my favorite, but generally OK
I don't know if it can successfully fill out forms

Tabs is one of the main features I want, and qpdf installed without a problem, so this is the best suggestion so far. Thanks.
#9
(09-27-2020, 11:01 AM)mjc Wrote:
(09-27-2020, 08:43 AM)wdt Wrote: I'm not sure why no one has mentioned qpdf/qpdfview
Not my favorite, but generally OK
I don't know if it can successfully fill out forms

Tabs is one of the main features I want, and qpdf installed without a problem, so this is the best suggestion so far. Thanks.

zathura hasn't been mentioned, it has a tabs feature although I don't use it. It's what I settled on over the years.


Possibly Related Threads…
Thread Author Replies Views Last Post
  slarm64 (unofficial slackware) Pinebook Pro RK3399 (aarch64) mara 39 25,443 11-12-2022, 01:06 PM
Last Post: mara
  Error trying to update Manjaro software boosterh 5 695 08-31-2022, 10:28 PM
Last Post: shulamy
  Manjaro and Arch repository with privacy oriented software as400 86 82,955 04-27-2022, 07:44 AM
Last Post: annahellrothsparent
  software request: LuckyBackup mexsudo 2 1,200 11-25-2021, 05:59 AM
Last Post: mexsudo
  Running x86 software GloriousCoffee 19 18,352 02-15-2021, 11:43 AM
Last Post: jiyong
  Network settings, where to find the config files? hvdkooij 1 2,039 11-20-2020, 02:47 PM
Last Post: xyzzy
  Signal Desktop Builds for Manjaro aarch64 ninefathom 25 23,130 10-23-2020, 02:19 PM
Last Post: llsf
  Is there a VOIP client compatible with aarch64? mjc 4 3,574 09-18-2020, 04:03 PM
Last Post: mjc
  Remote-viewer "Bus Error" wingmanjd 6 5,681 06-09-2020, 07:29 AM
Last Post: wingmanjd
  Software Compatibility, If on Pi then? chetchinglo 5 4,998 06-06-2020, 07:11 PM
Last Post: chetchinglo

Forum Jump:


Users browsing this thread: 2 Guest(s)